# Class EndpointClassHolder

java.lang.Object
org.apache.tomcat.websocket.EndpointClassHolder

All Implemented Interfaces:
  `ClientEndpointHolder`

public class EndpointClassHolder extends Object implements ClientEndpointHolder
Holds a reference to a WebSocket endpoint class for later instantiation.

## Constructor Summary

Constructors
Constructor
Description
`EndpointClassHolder(Class<? extends Endpoint> clazz)`
Creates a new holder for the specified endpoint class.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the fully qualified class name of the endpoint.
`Endpoint`
`getInstance(InstanceManager instanceManager)`
Returns an instance of the endpoint using the given instance manager.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndpointClassHolder

public EndpointClassHolder(Class<? extends Endpoint> clazz)
Creates a new holder for the specified endpoint class.

Parameters:
  `clazz` - The endpoint class to hold

## Method Details

### getClassName

public String getClassName()
Description copied from interface: `ClientEndpointHolder`
Returns the fully qualified class name of the endpoint.

Specified by:
  `getClassName` in interface `ClientEndpointHolder`
Returns:
  the class name

### getInstance

public Endpoint getInstance(InstanceManager instanceManager) throws DeploymentException
Description copied from interface: `ClientEndpointHolder`
Returns an instance of the endpoint using the given instance manager.

Specified by:
  `getInstance` in interface `ClientEndpointHolder`
Parameters:
  `instanceManager` - the instance manager to create the endpoint
Returns:
  the endpoint instance
Throws:
  `DeploymentException` - if the endpoint cannot be instantiated